Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.jasperreports.service.impl
Class DbcpDataSource

    java.lang.Object
      com.jaspersoft.jasperserver.api.engine.jasperreports.service.impl.DbcpDataSource

All Implemented Interfaces:
  PooledDataSource

    public class DbcpDataSource

extends java.lang.Object
implements PooledDataSource

Version:
  $Id: DbcpDataSource.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`DbcpDataSource(org.apache.commons.pool.ObjectPoolFactory objectPoolFactory, java.lang.String url, java.lang.String username, java.lang.String password)`

Method Summary
`protected org.apache.commons.pool.ObjectPool` | `createPool(org.apache.commons.pool.ObjectPoolFactory objectPoolFactory)`
`protected void` | `createPoolableConnectionFactory(java.lang.String url, java.lang.String username, java.lang.String password)`
`javax.sql.DataSource` | `getDataSource()`
`void` | `release()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DbcpDataSource

    public DbcpDataSource(org.apache.commons.pool.ObjectPoolFactory objectPoolFactory,
                          java.lang.String url,
                          java.lang.String username,
                          java.lang.String password)

Method Detail

### createPool

    protected org.apache.commons.pool.ObjectPool createPool(org.apache.commons.pool.ObjectPoolFactory objectPoolFactory)

### createPoolableConnectionFactory

    protected void createPoolableConnectionFactory(java.lang.String url,
                                                   java.lang.String username,
                                                   java.lang.String password)

### getDataSource

    public javax.sql.DataSource getDataSource()

  Specified by:
    `getDataSource` in interface `PooledDataSource`

### release

    public void release()

  Specified by:
    `release` in interface `PooledDataSource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.